View Issue Details

IDProjectCategoryView StatusLast Update
0004827SOGoBackend Generalpublic2019-10-28 15:19
Reporterflorian Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.0.8 
Fixed in Version4.1.1 
Summary0004827: Sogo crashes when option SOGoSieveServer is not within quotes
Description

when option SOGoSieveServer is written without quotes like this
SOGoSieveServer = sieve://127.0.0.1:4190/?tls=YES;
the sogo daemon crashes.
When the URL is with quotes like this
SOGoSieveServer = "sieve://127.0.0.1:4190/?tls=YES";
it works.

This is not intuitive since other URL parameters like SOGoIMAPServer work without quotes and are also shown without quotes in the examples of the documentation.

TagsNo tags attached.

Activities

francis

francis

2019-09-26 11:21

administrator   ~0013777

Last edited: 2019-09-26 11:22

View 2 revisions

Some special characters such as the equal sign require the string to be quoted.

florian

florian

2019-09-27 07:54

reporter   ~0013784

Hello Francis,

thank you for the feedback.

Maybe a simple and elegant solution would be to add the quotes internally, when needed.

ludovic

ludovic

2019-10-28 15:19

administrator   ~0013861

Not possible - it's the GNUstep plist parsing code that explodes on that.

I've added a 'workaround' by quoting the appropriate values in the default configuration file.

Related Changesets

sogo: master 61945734

2019-10-28 15:14:35

ludovic

Details Diff
(doc) quote default values (fixes 0004827) Affected Issues
0004827
mod - Scripts/sogo.conf Diff File

Issue History

Date Modified Username Field Change
2019-09-25 10:16 florian New Issue
2019-09-26 11:21 francis Note Added: 0013777
2019-09-26 11:22 francis Note Edited: 0013777 View Revisions
2019-09-27 07:54 florian Note Added: 0013784
2019-10-28 15:18 ludovic Changeset attached => sogo master 61945734
2019-10-28 15:18 ludovic Assigned To => ludovic
2019-10-28 15:18 ludovic Resolution open => fixed
2019-10-28 15:19 ludovic Note Added: 0013861
2019-10-28 15:19 ludovic Status new => resolved
2019-10-28 15:19 ludovic Fixed in Version => 4.1.1